---
image: /generated/articles-docs-enametoolong.png
id: enametoolong
title: ENAMETOOLONG
crumb: "Troubleshooting"
---

```
Command failed with ENAMETOOLONG: ffmpeg ...
```

This error occurs if Remotion is used on Windows and too many audio layers are in the video so that an FFMPEG command gets generated that is longer than the maximum allowed Windows command length (8192 characters).

Unfortunately, FFMPEG does not have any other alternative way to specify a massive amount of inputs, so Remotion can not fix this issue. Here are some recommendations instead:

## Mute videos that have no sound

If you have videos without sound, add the `muted` property, so they won't be added to the mix.

## Use a different operating system

macOS and Linux have a much longer maximum command length. Render the same video on a different operating system or use Linux for Windows Subsystem.

## Render the video partially

Render only a portion of a video using the [`--frames`](/docs/cli/render#--frames) property, and add portions together using an [FFMPEG concat command](https://stackoverflow.com/a/11175851)
